## wtforms-json 0.3.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wtforms-json.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wtforms-json.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wtforms-json"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wtforms-json"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
wtforms-json (0.3.5-6) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-wtforms-alchemy. Closes: #1116928.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 10:50:00 +0200

wtforms-json (0.3.5-5) unstable; urgency=medium

  * Team upload.
  * Finish removing python3-six from the wtforms ecosystem with a patch.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Nov 2024 10:46:46 +0100

wtforms-json (0.3.5-4) unstable; urgency=medium

  * Team upload
  * [0d9b129] Rebuild patch queue from patch-queue branch
    Added patch:
    upstream/tests-Fix-warning-on-deprecated-declarative_base.patch
    (Closes: #1073447)
  * [8bfcf80] d/rules: Clean out .mypy_cache in dh_clean
  * [9e95231] d/copyright: Add myself
  * [40fe267] d/control: Update Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jun 2024 09:07:14 +0200

wtforms-json (0.3.5-3) unstable; urgency=medium

  * Team upload
  * [95c5c62] d/gbp.conf: Add more basic default settings
  * [c89d5f9] Add patch queue generated from patch-queue branch
    Added patches:
    debian-hacks/tests-Respect-used-wtforms-version-in-forms.errors.patch
    doc/docs-Use-local-WTforms-intersphinx-inventary.patch
  * [95ca668] d/rules: Disable verbose build
  * [df3af2b] Build documentation through dh_sphinxdoc
  * [ced2aa2] d/u/metadata: Adding generic information about the project

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 28 Nov 2022 08:32:25 +0100

wtforms-json (0.3.5-2) unstable; urgency=medium

  * [6399541] add config for git-buildpackage
  * [16488bd] set DPT as maintainer, myself as uploader
  * [9d5bb49] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Mon, 08 Aug 2022 00:13:52 -0400

wtforms-json (0.3.5-1) unstable; urgency=medium

  * Initial release (Closes: #1016460)

 -- Joseph Nahmias <jello@debian.org>  Sun, 31 Jul 2022 23:39:35 -0400

=== debian/control ===
Source: wtforms-json
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python-wtforms-doc <!nodoc>,
 python3-setuptools,
 python3-all,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-wtforms-alchemy,
Standards-Version: 4.7.2
Homepage: https://github.com/kvesteri/wtforms-json
Vcs-Browser: https://salsa.debian.org/python-team/packages/wtforms-json
Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms-json.git

Package: python3-wtforms-json
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: smart json support for WTForms
 WTForms-JSON is a WTForms extension for JSON data handling. It:
 .
  * Adds support for booleans (WTForms doesn’t know how to handle
    False boolean values)
  * Adds support for None type FormField values
  * Adds support for None type Field values
  * Support for patch data requests with patch_data Form property
  * Function for converting JSON data into dict that WTForms
    understands (flatten_json() function)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=wtforms-json

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python3-wtforms-json/usr/share/doc/python3-wtforms-json/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-pytest,
 python3-wtforms-alchemy,
 python3-wtforms-json,

=== debian/watch ===
# See uscan(1) for format
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wtforms-json-$1.tar.gz%" \
   https://github.com/kvesteri/wtforms-json/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
